Skip to content
Start here

Get account share by ID

client.resourceSharing.get(stringshareId, ResourceSharingGetParams { account_id, include_recipient_counts, include_resources } params, RequestOptionsoptions?): ResourceSharingGetResponse { id, account_id, account_name, 12 more }
GET/accounts/{account_id}/shares/{share_id}

Fetches share by ID.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
shareId: string

Share identifier tag.

maxLength32
params: ResourceSharingGetParams { account_id, include_recipient_counts, include_resources }
account_id: string

Path param: Account identifier.

maxLength32
include_recipient_counts?: boolean

Query param: Include recipient counts in the response.

include_resources?: boolean

Query param: Include resources in the response.

ReturnsExpand Collapse
ResourceSharingGetResponse { id, account_id, account_name, 12 more }
id: string

Share identifier tag.

maxLength32
account_id: string

Account identifier.

maxLength32
account_name: string

The display name of an account.

created: string

When the share was created.

formatdate-time
modified: string

When the share was modified.

formatdate-time
name: string

The name of the share.

organization_id: string

Organization identifier.

maxLength32
status: "active" | "deleting" | "deleted"
One of the following:
"active"
"deleting"
"deleted"
target_type: "account" | "organization"
One of the following:
"account"
"organization"
associated_recipient_count?: number

The number of recipients in the 'associated' state. This field is only included when requested via the 'include_recipient_counts' parameter.

associating_recipient_count?: number

The number of recipients in the 'associating' state. This field is only included when requested via the 'include_recipient_counts' parameter.

disassociated_recipient_count?: number

The number of recipients in the 'disassociated' state. This field is only included when requested via the 'include_recipient_counts' parameter.

disassociating_recipient_count?: number

The number of recipients in the 'disassociating' state. This field is only included when requested via the 'include_recipient_counts' parameter.

kind?: "sent" | "received"
One of the following:
"sent"
"received"
resources?: Array<Resource>

A list of resources that are part of the share. This field is only included when requested via the 'include_resources' parameter.

id: string

Share Resource identifier.

maxLength32
created: string

When the share was created.

formatdate-time
meta: unknown

Resource Metadata.

modified: string

When the share was modified.

formatdate-time
resource_account_id: string

Account identifier.

maxLength32
resource_id: string

Share Resource identifier.

maxLength32
resource_type: "custom-ruleset" | "gateway-policy" | "gateway-destination-ip" | 2 more

Resource Type.

One of the following:
"custom-ruleset"
"gateway-policy"
"gateway-destination-ip"
"gateway-block-page-settings"
"gateway-extended-email-matching"
resource_version: number

Resource Version.

status: "active" | "deleting" | "deleted"

Resource Status.

One of the following:
"active"
"deleting"
"deleted"

Get account share by ID

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted
  apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted
});

const resourceSharing = await client.resourceSharing.get('3fd85f74b32742f1bff64a85009dda07', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(resourceSharing.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "3fd85f74b32742f1bff64a85009dda07",
    "account_id": "023e105f4ecef8ad9ca31a8372d0c353",
    "account_name": "Account A",
    "created": "2023-09-21T18:56:32.624632Z",
    "modified": "2023-09-21T18:56:32.624632Z",
    "name": "My Shared WAF Managed Rule",
    "organization_id": "023e105f4ecef8ad9ca31a8372d0c353",
    "status": "active",
    "target_type": "account",
    "associated_recipient_count": 10,
    "associating_recipient_count": 1,
    "disassociated_recipient_count": 0,
    "disassociating_recipient_count": 0,
    "kind": "sent",
    "resources": [
      {
        "id": "023e105f4ecef8ad9ca31a8372d0c353",
        "created": "2023-09-21T18:56:32.624632Z",
        "meta": {},
        "modified": "2023-09-21T18:56:32.624632Z",
        "resource_account_id": "023e105f4ecef8ad9ca31a8372d0c353",
        "resource_id": "023e105f4ecef8ad9ca31a8372d0c353",
        "resource_type": "custom-ruleset",
        "resource_version": 0,
        "status": "active"
      }
    ]
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "3fd85f74b32742f1bff64a85009dda07",
    "account_id": "023e105f4ecef8ad9ca31a8372d0c353",
    "account_name": "Account A",
    "created": "2023-09-21T18:56:32.624632Z",
    "modified": "2023-09-21T18:56:32.624632Z",
    "name": "My Shared WAF Managed Rule",
    "organization_id": "023e105f4ecef8ad9ca31a8372d0c353",
    "status": "active",
    "target_type": "account",
    "associated_recipient_count": 10,
    "associating_recipient_count": 1,
    "disassociated_recipient_count": 0,
    "disassociating_recipient_count": 0,
    "kind": "sent",
    "resources": [
      {
        "id": "023e105f4ecef8ad9ca31a8372d0c353",
        "created": "2023-09-21T18:56:32.624632Z",
        "meta": {},
        "modified": "2023-09-21T18:56:32.624632Z",
        "resource_account_id": "023e105f4ecef8ad9ca31a8372d0c353",
        "resource_id": "023e105f4ecef8ad9ca31a8372d0c353",
        "resource_type": "custom-ruleset",
        "resource_version": 0,
        "status": "active"
      }
    ]
  }
}